com.pixelmed.network

## Class PDataPDU

- java.lang.Object
- - com.pixelmed.network.PDataPDU

    public class PDataPDU
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PDataPDU(byte[] pdu)`
`PDataPDU(java.util.LinkedList pdvList)`

### Method Summary

Methods
`boolean` `containsLastCommandFragment()`
`boolean` `containsLastDataFragment()`
`byte[]` `getBytes()`
`java.util.LinkedList` `getPDVList()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDataPDU

    public PDataPDU(java.util.LinkedList pdvList)
             throws DicomNetworkException

Parameters:
  `pdvList` -
Throws:
  `DicomNetworkException`

#### PDataPDU

    public PDataPDU(byte[] pdu)
             throws DicomNetworkException

Parameters:
  `pdu` -
Throws:
  `DicomNetworkException`

### Method Detail

#### getBytes

    public byte[] getBytes()

#### getPDVList

    public java.util.LinkedList getPDVList()

#### containsLastCommandFragment

    public boolean containsLastCommandFragment()

#### containsLastDataFragment

    public boolean containsLastDataFragment()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`